%define snapshot 20000702
Summary: Kernel Module and Daemon for VPN
Name: cipe
Version: 1.4snap
Release: 1
Group: System Environment/Daemons
Source0: cipe-snapshot-%{snapshot}.tar.gz
Source1: cipe.init
Source2: cipe.options
Source3: cipe.sysconfig
Patch0: cipe-1.3.0.patch
BuildRoot: %{_tmppath}/%{name}-root
URL: http://sites.inka.de/~W1011/devel/cipe.html
License: GPL

%description
CIPE (the name is shortened from Crypto IP Encapsulation) is a
package for an encrypting IP tunnel device. This can be used to build
encrypting routers for VPN (Virtual Private Networks) and similar
applications.

%prep
%setup -q -n cipe-snapshot-%{snapshot}
%patch0 -p0
autoconf -l conf

%build
KERNELDIR=/lib/modules/`uname -r`/build
if ! -d ${KERNELDIR} ; then
	KERNELDIR=/usr/src/linux-`uname -r`
fi
if ! -d ${KERNELDIR} ; then
	KERNELDIR=/usr/src/linux
fi
%configure --with-linux=${KERNELDIR}
make

%install
%makeinstall INFODIR=$RPM_BUILD_ROOT%{_infodir} \
		BINDIR=$RPM_BUILD_ROOT%{_sbindir} \
		RPM_BUILD_ROOT=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/{cipe,rc.d/init.d,sysconfig}

install -m 755 $RPM_SOURCE_DIR/cipe.init $RPM_BUILD_ROOT/etc/rc.d/init.d/ciped
install -m 755 samples/ip-up   $RPM_BUILD_ROOT/etc/cipe/ip-up
install -m 755 samples/ip-down $RPM_BUILD_ROOT/etc/cipe/ip-down
install -m 600 $RPM_SOURCE_DIR/cipe.options $RPM_BUILD_ROOT/etc/cipe/options
install -m 644 $RPM_SOURCE_DIR/cipe.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/cipe

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES CIPE-Protocol COPYING README README.key-bug samples
%doc %{_infodir}/cipe.info*
%{_sbindir}/ciped-cb
/etc/rc.d/init.d/ciped
%config(noreplace) /etc/sysconfig/cipe
%config(noreplace) /etc/cipe

%changelog
* Wed Aug 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- mark it as a snapshot because 1.4 is actually out now

* Thu Aug 10 2000 Nalin Dahyabhai <nalin@redhat.com>
- change version number to 1.4 (it's a 1.4 snapshot) (#15943)
- fix erroneous comments in /etc/sysconfig/cipe (#16148)
- configure with --with-linux=/lib/modules/`uname -r`/build if it exists
- add URL: tag
- change Copyright: to License:

* Wed Aug  9 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix init script

* Mon Aug  7 2000 Nalin Dahyabhai <nalin@redhat.com>
- add IPADDR and PTPADDR options to the sysconfig file (#14956)

* Sun Jul 23 2000 Nalin Dahyabhai <nalin@redhat.com>
- make configurations noreplace
- supply a default /etc/sysconfig/cipe file (#14467)
- tweak the init script some more (#14468)

* Sat Jul 15 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jul 11 2000 Matt Wilson <msw@redhat.com>
- move group from Applications/Networking to System Environment/Daemons

* Mon Jul 10 2000 Trond Eivind Glomsrd <teg@redhat.com>
- obvious bandaid1: add the sysconfig file it tries to source
- obvious bandaid2: remove the "su to specific user and run his
  specific program on another computer"-part of the initscript
- Prereq: /etc/init.d

* Sun Jul  2 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- first version of a rpm based on an RH-internal rpm
- TODO: /etc/init.d/ciped must be fixed
